<!DOCTYPE html>
<html lang="de">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Selbstsigniertes Zertifikat installieren</title>
	<link rel="stylesheet" href="main.css">
</head>
<body>
	<main>
		<h1>Selbstsigniertes Zertifikat installieren</h1>
		<p>Um diese Anwendung zu verwenden, müssen Sie das selbstsignierte SSL-Zertifikat installieren.</p>

		<section on-platform="win">
			<h2>Anweisungen für Windows</h2>
			<ol>
				<li>Doppelklicken Sie auf die Datei <a href="#server.cert">server.cert</a>, um den Zertifikat-Installationsassistenten zu öffnen.</li>
				<li>Wählen Sie "Zertifikat installieren" und wählen Sie "Lokaler Computer".</li>
				<li>Wählen Sie "Alle Zertifikate in folgendem Speicher ablegen" und wählen Sie "Vertrauenswürdige Stammzertifizierungsstellen".</li>
				<li>Schließen Sie den Assistenten ab und bestätigen Sie die Installation.</li>
				<li>Starten Sie die nan•web Anwendung neu</li>
			</ol>
		</section>

		<section on-platform="mac">
			<h2>Anweisungen für Mac</h2>
			<ol>
				<li>Öffnen Sie die Anwendung "Schlüsselbundverwaltung".</li>
				<li>Ziehen Sie die Datei <a href="#server.cert">server.cert</a> in den "System"-Schlüsselbund.</li>
				<li>Finden Sie das Zertifikat in der Liste <code>localhost</code>, doppelklicken Sie darauf und erweitern Sie den Abschnitt "Vertrauen".</li>
				<li>Setzen Sie "Beim Verwenden dieses Zertifikats" auf "Immer vertrauen".</li>
				<li>Starten Sie die nan•web Anwendung neu</li>
			</ol>
		</section>

		<section on-platform="lin">
			<h2>Anweisungen für Linux</h2>
			<ol>
				<li>Kopieren Sie das Zertifikat in das Verzeichnis <code>/usr/local/share/ca-certificates/</code>:
					<pre>sudo cp <loc file="server.cert"></loc> /usr/local/share/ca-certificates/server.crt</pre>
				</li>
				<li>Aktualisieren Sie die CA-Zertifikate:
					<pre>sudo update-ca-certificates</pre>
				</li>
				<li>Starten Sie die nan•web Anwendung neu</li>
			</ol>
		</section>
	</main>

	<script src="main.js" type="module"></script>
</body>
</html>
